#!/data/IRAF2.11/iraf/unix/bin.ssol/cl -f

set	logver	= "IRAF V2.11 May 1997"
#set	home	= "/ret/ret6/TDC/IRAF/fast/"
#set	imdir	= ""
#set	uparm	= "home$uparm/"
#set	userid	= envget("USER")

# This local graphcap file is set up by mkiraf.
#set     graphcap        = "home$graphcap"

print ("graphcap set.")

# Set the terminal type.
if (envget("TERM") == "sun") {
    if (!access (".hushiraf"))
        print "setting terminal type to gterm..."
    stty gterm
} else if (envget("TERM") == "xterm") {
    if (!access (".hushiraf"))
        print "setting terminal type to xterm..."
    stty xterm
} else if (envget("TERM") == "network") {
    if (!access (".hushiraf"))
        print "setting terminal type to vt100..."
    stty vt100
} else {
    if (!access (".hushiraf"))
        print "setting terminal type to xterm..."
    stty xterm
}

print ("terminal is set.")

# Set printer
if (envget("PRINTER") == "") {
    set printer = psp5
    set stdplot = psp5
    }
else {
    set printer = envget("PRINTER")
    set stdplot = envget("PRINTER")
    }

set     impkden         = 1.0
set     min_lenuserarea = 100000

# Get terminal type from Unix environment
stty envget("TERM")
set stdgraph = envget("TERM")
sizetty

print ("Environment set up.")

lists				# need LISTS for arg parsing

# Declare local variables.
string  arglist			# arg values
string  command = "help"
string  task			# options

# Parse unix command-line args.
arglist = mktemp ("tmp$help")
print (args) | words ("STDIN", > arglist)
list = arglist
while (fscan (list, s1) != EOF) {
    if (s1 == "-r") {  
	command = "references"
    } else if (s1 == "-p") {  
	command = "phelp"
    } else {
	task = s1
    }
    ;				# needed to fix CL grammar quirk
}
delete (arglist, ver-)          # clean up
list = ""
        
# Finally, execute the requested command on the task.
printf ("%s %s mode='q'\n", command, task) | cl()

logout				# shut down
